/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * ProductionLineLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface ProductionLineLocal extends EJBLocalObject
{
    public String getName()
        throws EJBException;

    public StorehouseLocal getStorehouse()
        throws EJBException;

    public Collection getFinishedGoods()
        throws EJBException;
}
